- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces
preflow.h File Reference
Maximum Flow Algorithms
`#include <lemon/tolerance.h>`
`#include <lemon/elevator.h>`

## Classes
struct | PreflowDefaultTraits< GR, CAP >
| Default traits class of Preflow class. More...
class | Preflow< GR, CAP, TR >
| Preflow algorithm class. More...
struct | Preflow< GR, CAP, TR >::SetFlowMap< T >
| Named parameter for setting FlowMap type More...
struct | Preflow< GR, CAP, TR >::SetElevator< T >
| Named parameter for setting Elevator type More...
struct | Preflow< GR, CAP, TR >::SetStandardElevator< T >
| Named parameter for setting Elevator type with automatic allocation More...

## Namespaces
| lemon
| The namespace of LEMON.